Subject: Re: Cut Comb Honey Container Price

From: "Victor C. Rimkus" <[email-masked]>
Date: 28 Aug 1995 14:15:35 GMT

OOP's

I did give the incorrect case price for the clam shell boxes. Mann Lake has two types of boxes. 

The fancy boxes with separate lids are 50 cents each or $48 for case of 96.

The clam shell boxes are 19 cents each or $50 for case of 300.

You mentioned that the dimensions are different for the two types. I have only used the  
clamshell type and comb honey from shallow supers fits nicely.

I'm glad you had a good experience dealing with Mann Lake. I have been using them for three 
years now and have never had a problem.

      Victor C. Rimkus
      Albuquerque NM
      [email-masked]